use ExtUtils::MakeMaker;

my $modules = {};  my $manpage = {};
foreach my $module ( qw( File::CounterFile::Date ) ) {
  my $file = $module;
     $file =~ s/::/\//g;  
     $file =~ s/$/.pm/;
  my $shortfile = $file;  $shortfile =~ s%^File/CounterFile/%%;
  my $libdir = join('/', '$(INST_LIBDIR)', $shortfile);
  my $man3 = join('/', '$(INST_MAN3DIR)', "$module.3");
  $$modules{$file} = $libdir; $$manpage{$file} = $man3;
}

WriteMakefile(
    'NAME'	   => 'File::CounterFile::Date',
    'MAN3PODS'     => $manpage,
    'PM'           => $modules,
    'DISTNAME'     => 'File-CounterFile-Date',
    'VERSION_FROM' => 'File/CounterFile/Date.pm',
    'PREREQ_PM'    => { 'File::CounterFile' => 1.01 },
    'EXE_FILES'    => [ qw( datecounter.pl ) ],
    'dist'         => { COMPRESS => 'gzip', SUFFIX => 'gz', },
);
